Bug 971469 - korganizer 4.10.3 does not sync groupdav calendars/todos
korganizer 4.10.3 does not sync groupdav calendars/todos
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-06-06 11:19 EDT by Todor Todorov
Modified: 2014-02-05 16:42 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-05 16:42:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Todor Todorov 2013-06-06 11:19:43 EDT
Description of problem:
After executing "yum update" at 5 Jun 2013, the kdepim package has been upgraded to version "kdepim-4.10.3-2.fc18". The existing groupdav calendar resources stopped working (the events and to-dos are not synchronized with the groupdav server). Before upgrade the groupdav calendar/todo resources have been working normally.

Version-Release number of selected component (if applicable):
kontact 4.10.3
korganizer 4.10.3
architecture: x86_64
OS: Fedora 18

How reproducible:
Update kdepim Fedora 18 x86_64 package to version 4.10.3

Steps to Reproduce:
1. Install fresh Fedora 18 on x86_64
2. Update Fedora 18 by "$ sudo yum update". The version of kdepim should become kdepim-4.10.3-2.fc18
3. Open Korganizer (or Kontact) and configure a groupdav calendar for synchronization.

Actual results:
The calendars and todos, created before the connection are not synchronized (cannot be seen in korganizer, otherwise akonadi network activity seams ok from akonadiconsole)
The calendars and todos, created by other groupdav client on the network cannot be seen.
The calendars, created by the current client korganizer 4.10.3 __can__ be seen (only they appear as events in the calendar)

Expected results:
Expected the groupdav calendars/todos to be synchronized normally in korganizer/kontact and to be seen in the calendar/todo list.

Additional info:
In our company we are using kontact as main collaboration tool, synchronized with a groupdav server. We resolved the issue by workaround:
1) Downgraded all workstations to kdepim-4.9.4-1.fc18
2) Excluded kdepim and all it's dependencies from update (exclude=... in /etc/yum.conf)
3) Updated our workstations ( $ sudo yum update )
Comment 1 Fedora End Of Life 2013-12-21 08:53:42 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:42:32 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.